AWS
action ELBv2

# enable_access_log

Enable or disable access logs of ELB

Run it now
View details

Type | action
Module | chaosaws.elbv2.actions
Name | enable_access_log
Return | boolean

Usage

JSON

    {
      "name": "enable-access-log",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.elbv2.actions",
        "func": "enable_access_log",
        "arguments": {
          "load_balancer_arn": ""
        }
      }
    }

YAML

    name: enable-access-log
    provider:
      arguments:
        load_balancer_arn: ""
      func: enable_access_log
      module: chaosaws.elbv2.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
load_balancer_arn | list |  | Yes | Load Balancer ARN |
enable | boolean | false | No | Enable |
bucket_name | string | null | No | Bucket Name | Bucket to store the logs to

Signature

    def enable_access_log(load_balancer_arn: str,
                          enable: bool = False,
                          bucket_name: str = None,
                          configuration: Dict[str, Dict[str, str]] = None,
                          secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- AWS
  action ELBv2

  ## `deregister_target`

  Deregisters one random target from target group
- AWS
  action ELBv2

  ## `delete_load_balancer`

  Deletes the provided load balancer(s)
- AWS
  probe ELBv2

  ## `all_targets_healthy`

  Return true/false based on if all targets for listed target groups are healthy